## system-config-samba 1.2.50

=== Makefile ===
# License: GPL
# Copyright Red Hat Inc.  Jan 2001

PKGNAME=system-config-samba

HGUPSTREAM_RE=^ssh://[^@]+@hg.fedoraproject.org//hg/hosted/$(PKGNAME)$$
HGREPO=$(shell hg showconfig | awk -F= '/paths.default=/ { print $$2 }')
VERSION=$(shell awk '/Version:/ { print $$2 }' system-config-samba.spec)
HGTAG=$(PKGNAME)-$(subst .,_,$(VERSION))

SUBDIRS=po

PREFIX=/usr
DATADIR=${PREFIX}/share
MANDIR=${DATADIR}/man
PKGDATADIR=${DATADIR}/${PKGNAME}
PKGIMAGEDIR=${PKGDATADIR}/pixmaps

PAMD_DIR        = /etc/pam.d
SECURITY_DIR    =/etc/security/console.apps

all:	$(PKGNAME).desktop

po/$(PKGNAME).pot:: subdirs

subdirs:	$(PKGNAME).desktop.in.h
	for d in $(SUBDIRS); do make -C $$d; [ $$? = 0 ] || exit 1; done

%.desktop.in.h: %.desktop.in
	intltool-extract --type=gettext/ini $<

%.desktop: %.desktop.in po/$(PKGNAME).pot po/*.po
	intltool-merge -u -d po/ $< $@

install:	all
	mkdir -p $(DESTDIR)/usr/bin
	mkdir -p $(DESTDIR)$(PKGDATADIR)
	mkdir -p $(DESTDIR)$(PKGIMAGEDIR)
	mkdir -p $(DESTDIR)$(PAMD_DIR)
	mkdir -p $(DESTDIR)$(SECURITY_DIR)
	mkdir -p $(DESTDIR)/usr/share/pixmaps
	mkdir -p $(DESTDIR)/usr/share/applications
	mkdir -p $(DESTDIR)/usr/share/icons/hicolor/48x48/apps
	install src/*.py src/smb.conf.template $(DESTDIR)$(PKGDATADIR)
	for py in src/*.py ; do \
		sed -e s,@VERSION@,$(VERSION),g $${py} > $(DESTDIR)$(PKGDATADIR)/`basename $${py}` ; \
	done
	install src/*.glade $(DESTDIR)$(PKGDATADIR)
	install $(PKGNAME).pam $(DESTDIR)$(PAMD_DIR)/$(PKGNAME)
	install $(PKGNAME).console $(DESTDIR)$(SECURITY_DIR)/$(PKGNAME)
	install pixmaps/*.png $(DESTDIR)$(PKGIMAGEDIR)
	install pixmaps/${PKGNAME}.png $(DESTDIR)/usr/share/icons/hicolor/48x48/apps
	install ${PKGNAME}.desktop $(DESTDIR)/usr/share/applications/${PKGNAME}.desktop
	ln -sf consolehelper $(DESTDIR)/usr/bin/$(PKGNAME)
	for d in $(SUBDIRS); do \
	(cd $$d; $(MAKE) DESTDIR=$(DESTDIR) MANDIR=$(MANDIR) install) \
		|| case "$(MFLAGS)" in *k*) fail=yes;; *) exit 1;; esac; \
	done && test -z "$$fail"

checkmods:
	@if [ -n "$$(hg diff -a)" ]; then \
		echo There are modifications not yet committed. Commit these first. >&2; \
		exit 1; \
	fi

checkrepo:
ifndef BYPASSUPSTREAM
	@if [ -z "$$(echo $(HGREPO) | egrep '$(HGUPSTREAM_RE)')" ]; then \
		echo The repository $(HGREPO) is not the upstream of $(PKGNAME). >&2; \
		echo Pushing to anywhere else may not be helpful when creating an archive. >&2; \
		echo Use BYPASSUPSTREAM=1 to not access upstream or FORCEPUSH=1 to push anyway. >&2; \
		exit 1; \
	fi
endif

incoming: checkrepo
	@if [ -n "$$(hg incoming --quiet --bundle $(HGREPO))" ]; then \
		echo There are incoming changes which need to be integrated. >&2; \
		echo Pull them with "hg pull; hg update" and resolve possible conflicts. >&2; \
		exit 1; \
	fi

tag:
ifndef FORCETAG
	@if hg diff -r "$(HGTAG)" >& /dev/null; then \
		echo "Tag $(HGTAG) exists already. Use FORCETAG=1 to force tagging." >&2 ; \
		exit 1; \
	fi
endif
	@LASTTAG="$$(hg tags -q | head -n 2 | tail -n 1)"; \
	if [ -n "$$LASTTAG" -a -z "$$(hg diff --exclude .hgtags -r $$LASTTAG)" ]; then \
		echo "No differences to last tagged release '$$LASTTAG'. Not tagging."; \
	else \
		echo "Tagging '$(HGTAG)'."; \
		hg tag $(HGTAG); \
	fi

ifdef FORCEPUSH
archivepush:
else
archivepush: checkrepo
endif
ifndef BYPASSUPSTREAM
	@echo Pushing to repository $(HGREPO).
	@if ! hg push $(HGREPO); then \
		echo Pushing failed. >&2; \
		echo Use NOPUSH=1 to bypass pushing. >&2; \
		exit 1; \
	fi
endif

archive: checkmods incoming tag archivepush
ifndef FORCEARCHIVE
	@if [ -e "${PKGNAME}-$(VERSION).tar.bz2" ]; then \
		echo "File ${PKGNAME}-$(VERSION).tar.bz2 exists already." >&2; \
		echo "Use FORCEARCHIVE=1 to force overwriting it." >&2; \
		exit 1; \
	fi
endif
	@hg archive -r$(HGTAG) -t tbz2 "${PKGNAME}-$(VERSION).tar.bz2"
	@echo "The archive is in ${PKGNAME}-$(VERSION).tar.bz2"

snapsrc: archive
	@rpmbuild -ta $(PKGNAME)-$(VERSION).tar.bz2

local:
	@hg archive -t tbz2 "${PKGNAME}-$(VERSION).tar.bz2"
	@echo "The _local_ archive is in ${PKGNAME}-$(VERSION).tar.bz2"

clean:
	@rm -fv *~
	@rm -fv *.pyc
	@rm -fv system-config-samba.desktop system-config-samba.desktop.in.h

=== po/Makefile ===
#
# Makefile for the PO files (translation) catalog
#
# $Id: Makefile,v 1.6 2005/05/06 11:58:48 nphilipp Exp $

TOP	 = ../..

# What is this package?
NLSPACKAGE	= system-config-samba
POTFILE		= $(NLSPACKAGE).pot
INSTALL		= /usr/bin/install -c
INSTALL_DATA	= $(INSTALL) -m 644
INSTALL_DIR	= /usr/bin/install -d

# destination directory
INSTALL_NLS_DIR = $(DESTDIR)/usr/share/locale

# PO catalog handling
MSGMERGE	= msgmerge -v
XGETTEXT	= xgettext --default-domain=$(NLSPACKAGE) \
		  --add-comments		  
MSGFMT		= msgfmt --statistics --verbose

# What do we need to do
POFILES		= $(wildcard *.po)
MOFILES		= $(patsubst %.po,%.mo,$(POFILES))
PYSRC		= $(wildcard ../src/*.py)
SRCFILES 	= $(PYSRC) system-config-samba.gladestrings ../system-config-samba.desktop.in.h

#default:: clean

all::  update-po $(MOFILES)

$(POTFILE): $(SRCFILES)
	$(XGETTEXT) --keyword=_ --keyword=N_ $(SRCFILES)
	@if cmp -s $(NLSPACKAGE).po $(POTFILE); then \
	    rm -f $(NLSPACKAGE).po; \
	else \
	    mv -f $(NLSPACKAGE).po $(POTFILE); \
	fi; \

update-po: Makefile $(POTFILE) refresh-po

refresh-po: Makefile
	for cat in $(POFILES); do \
		lang=`basename $$cat .po`; \
		if $(MSGMERGE) $$lang.po $(POTFILE) > $$lang.pot ; then \
			mv -f $$lang.pot $$lang.po ; \
			echo "$(MSGMERGE) of $$lang succeeded" ; \
		else \
			echo "$(MSGMERGE) of $$lang failed" ; \
			rm -f $$lang.pot ; \
		fi \
	done

clean:
	@rm -fv *mo *~ .depend

install: $(MOFILES)
	@for n in $(MOFILES); do \
	    l=`basename $$n .mo`; \
	    $(INSTALL_DIR) $(INSTALL_NLS_DIR)/$$l/LC_MESSAGES; \
	    $(INSTALL_DATA) --verbose $$n $(INSTALL_NLS_DIR)/$$l/LC_MESSAGES/$(NLSPACKAGE).mo; \
	done

%.mo: %.po
	$(MSGFMT) -o $@ $<

.PHONY: missing depend

## system-config-samba 1.2.63

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
-# License: GPL
-# Copyright Red Hat Inc.  Jan 2001
+# License: GPL v2 or later
+# Copyright Red Hat Inc. 2001 - 2007
 
 PKGNAME=system-config-samba
 
-HGUPSTREAM_RE=^ssh://[^@]+@hg.fedoraproject.org//hg/hosted/$(PKGNAME)$$
+HGUPSTREAM_RE=^ssh://[^@]+@hg.fedorahosted.org//hg/$(PKGNAME)$$
 HGREPO=$(shell hg showconfig | awk -F= '/paths.default=/ { print $$2 }')
 VERSION=$(shell awk '/Version:/ { print $$2 }' system-config-samba.spec)
 HGTAG=$(PKGNAME)-$(subst .,_,$(VERSION))
@@ -11,6 +11,7 @@
 SUBDIRS=po
 
 PREFIX=/usr
+BINDIR=${PREFIX}/bin
 DATADIR=${PREFIX}/share
 MANDIR=${DATADIR}/man
 PKGDATADIR=${DATADIR}/${PKGNAME}
@@ -19,7 +20,19 @@
 PAMD_DIR        = /etc/pam.d
 SECURITY_DIR    =/etc/security/console.apps
 
-all:	$(PKGNAME).desktop
+MAKEFILE        := $(lastword $(MAKEFILE_LIST))
+TOPDIR          := $(abspath $(dir $(abspath $(MAKEFILE))))
+DOC_MODULE      = $(PKGNAME)
+DOC_ABS_SRCDIR  = $(TOPDIR)/doc
+DOC_FIGURES_DIR = images
+DOC_FIGURES     = system-config-samba-create-share.png system-config-samba.png system-config-samba-server-settings-basic.png system-config-samba-server-settings-security.png system-config-samba-users.png
+DOC_ENTITIES    = distro-specifics.ent system-config-samba-distro-specifics.ent system-config-samba-abstract.xml system-config-samba-content.xml
+DOC_LINGUAS     = af sq am ar hy as az bal eu eu_ES be be@latin bn bn_IN bs pt_BR en_GB bg my ca zh_CN zh_TW hr cs da nl dz et fi fr gl ka de el gu he hi hu is ilo id it ja kn ko ku lo lv lt mk mai ms ml mr mn ne nso no nb nn or fa pl pt pa ro ru sr si sk sl es sv tl ta te th tr uk ur vi cy zu
+
+all:	$(PKGNAME).desktop $(PKGNAME).console doc-all
+
+include doc_rules.mk
+include console_rules.mk
 
 po/$(PKGNAME).pot:: subdirs
 
@@ -32,26 +45,27 @@
 %.desktop: %.desktop.in po/$(PKGNAME).pot po/*.po
 	intltool-merge -u -d po/ $< $@
 
-install:	all
-	mkdir -p $(DESTDIR)/usr/bin
+install:	all doc-install
+	mkdir -p $(DESTDIR)/$(BINDIR)
 	mkdir -p $(DESTDIR)$(PKGDATADIR)
 	mkdir -p $(DESTDIR)$(PKGIMAGEDIR)
 	mkdir -p $(DESTDIR)$(PAMD_DIR)
 	mkdir -p $(DESTDIR)$(SECURITY_DIR)
-	mkdir -p $(DESTDIR)/usr/share/pixmaps
-	mkdir -p $(DESTDIR)/usr/share/applications
-	mkdir -p $(DESTDIR)/usr/share/icons/hicolor/48x48/apps
-	install src/*.py src/smb.conf.template $(DESTDIR)$(PKGDATADIR)
+	mkdir -p $(DESTDIR)/$(DATADIR)/pixmaps
+	mkdir -p $(DESTDIR)/$(DATADIR)/applications
+	mkdir -p $(DESTDIR)/$(DATADIR)/icons/hicolor/48x48/apps
+	install -m 0644 src/*.py src/smb.conf.template $(DESTDIR)$(PKGDATADIR)
+	chmod 0755 $(DESTDIR)$(PKGDATADIR)/system-config-samba.py
 	for py in src/*.py ; do \
 		sed -e s,@VERSION@,$(VERSION),g $${py} > $(DESTDIR)$(PKGDATADIR)/`basename $${py}` ; \
 	done
-	install src/*.glade $(DESTDIR)$(PKGDATADIR)
-	install $(PKGNAME).pam $(DESTDIR)$(PAMD_DIR)/$(PKGNAME)
-	install $(PKGNAME).console $(DESTDIR)$(SECURITY_DIR)/$(PKGNAME)
-	install pixmaps/*.png $(DESTDIR)$(PKGIMAGEDIR)
-	install pixmaps/${PKGNAME}.png $(DESTDIR)/usr/share/icons/hicolor/48x48/apps
-	install ${PKGNAME}.desktop $(DESTDIR)/usr/share/applications/${PKGNAME}.desktop
-	ln -sf consolehelper $(DESTDIR)/usr/bin/$(PKGNAME)
+	install -m 0644 src/*.glade $(DESTDIR)$(PKGDATADIR)
+	install -m 0644 $(PKGNAME).pam $(DESTDIR)$(PAMD_DIR)/$(PKGNAME)
+	install -m 0644 $(PKGNAME).console $(DESTDIR)$(SECURITY_DIR)/$(PKGNAME)
+	install -m 0644 pixmaps/*.png $(DESTDIR)$(PKGIMAGEDIR)
+	install -m 0644 pixmaps/${PKGNAME}.png $(DESTDIR)/$(DATADIR)/icons/hicolor/48x48/apps
+	install -m 0644 ${PKGNAME}.desktop $(DESTDIR)/$(DATADIR)/applications/${PKGNAME}.desktop
+	ln -sf consolehelper $(DESTDIR)/$(BINDIR)/$(PKGNAME)
 	for d in $(SUBDIRS); do \
 	(cd $$d; $(MAKE) DESTDIR=$(DESTDIR) MANDIR=$(MANDIR) install) \
 		|| case "$(MFLAGS)" in *k*) fail=yes;; *) exit 1;; esac; \
@@ -87,12 +101,17 @@
 		exit 1; \
 	fi
 endif
-	@LASTTAG="$$(hg tags -q | head -n 2 | tail -n 1)"; \
+	@if [ -n "$(FORCETAG)" ]; then \
+		FORCE=-f; \
+	else \
+		FORCE=""; \
+	fi; \
+	LASTTAG="$$(hg tags -q | head -n 2 | tail -n 1)"; \
 	if [ -n "$$LASTTAG" -a -z "$$(hg diff --exclude .hgtags -r $$LASTTAG)" ]; then \
 		echo "No differences to last tagged release '$$LASTTAG'. Not tagging."; \
 	else \
 		echo "Tagging '$(HGTAG)'."; \
-		hg tag $(HGTAG); \
+		hg tag $$FORCE $(HGTAG); \
 	fi
 
 ifdef FORCEPUSH
@@ -127,7 +146,26 @@
 	@hg archive -t tbz2 "${PKGNAME}-$(VERSION).tar.bz2"
 	@echo "The _local_ archive is in ${PKGNAME}-$(VERSION).tar.bz2"
 
-clean:
+clean: doc-clean console-clean
 	@rm -fv *~
 	@rm -fv *.pyc
 	@rm -fv system-config-samba.desktop system-config-samba.desktop.in.h
+
+dif:	diff
+
+diff:
+	@echo Differences to tag $(HGTAG):
+	@echo
+	@hg diff -r$(HGTAG) -X .hgtags
+
+sdif:	shortdiff
+
+shortdiff:
+	@echo Files changed since tag $(HGTAG):
+	@hg diff -r$(HGTAG) -X .hgtags | egrep '^---|^\+\+\+' | sed 's:^...[   ][      ]*[ab]/::g' | sort -u
+
+llog:	lastlog
+
+lastlog:
+	@echo Log since tag $(HGTAG):
+	@hg log -v -r $(HGTAG):

=== po/Makefile ===
--- 
+++ 
@@ -15,8 +15,12 @@
 # destination directory
 INSTALL_NLS_DIR = $(DESTDIR)/usr/share/locale
 
+# commands
+DIFF		= /usr/bin/diff
+GREP		= /bin/grep
+
 # PO catalog handling
-MSGMERGE	= msgmerge -v
+MSGMERGE	= msgmerge -v -N
 XGETTEXT	= xgettext --default-domain=$(NLSPACKAGE) \
 		  --add-comments		  
 MSGFMT		= msgfmt --statistics --verbose
@@ -31,26 +35,36 @@
 
 all::  update-po $(MOFILES)
 
+po_diff_and_mv_or_rm  = \
+	if [ ! -f "$(1)" ] || ($(DIFF) "$(1)" "$(2)" | $(GREP) -v '^. "POT-Creation-Date:' | $(GREP) -q '^[<>] [^\#]'); then \
+		echo "Creating/updating $(1)"; \
+		mv -f $(2) $(1); \
+	else \
+		rm -f $(2); \
+	fi
+
+po_diff_and_mv_or_rm_func = \
+	function po_diff_and_mv_or_rm () { \
+		$(call po_diff_and_mv_or_rm,$$1,$$2) \
+	}
+
 $(POTFILE): $(SRCFILES)
 	$(XGETTEXT) --keyword=_ --keyword=N_ $(SRCFILES)
-	@if cmp -s $(NLSPACKAGE).po $(POTFILE); then \
-	    rm -f $(NLSPACKAGE).po; \
-	else \
-	    mv -f $(NLSPACKAGE).po $(POTFILE); \
-	fi; \
+	@$(call po_diff_and_mv_or_rm,$(POTFILE),$(NLSPACKAGE).po)
 
 update-po: Makefile $(POTFILE) refresh-po
 
 refresh-po: Makefile
+	@$(po_diff_and_mv_or_rm_func); \
 	for cat in $(POFILES); do \
 		lang=`basename $$cat .po`; \
 		if $(MSGMERGE) $$lang.po $(POTFILE) > $$lang.pot ; then \
-			mv -f $$lang.pot $$lang.po ; \
 			echo "$(MSGMERGE) of $$lang succeeded" ; \
+			po_diff_and_mv_or_rm $$lang.po $$lang.pot; \
 		else \
 			echo "$(MSGMERGE) of $$lang failed" ; \
 			rm -f $$lang.pot ; \
-		fi \
+		fi; \
 	done
 
 clean:

=== debian/changelog ===
system-config-samba (1.2.63-1mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Use debhelper 10 compat.
  * debian/rules:  remove call to deprecated dh_desktop.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 22 Aug 2017 10:56:52 -0700

system-config-samba (1.2.63-0mx150+1) mx; urgency=medium

  * Rebuild for MX 15.
  * Remove quilt as build-depend.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Fri, 29 May 2015 14:07:30 -0700

system-config-samba (1.2.63-mcr120+2) mepis; urgency=low

  * Rebuild for MEPIS 12.0.
  * debian/rules: compress deb packages with xz.
  * Switch to 3.0 (quilt) source format.
  * Add python-smbc as a Depends. 

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Tue, 10 Feb 2015 11:34:13 -0800

system-config-samba (1.2.63-0ubuntu6) trusty; urgency=medium

  * Port to dh_python2.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 26 Jan 2014 23:15:20 +0000

system-config-samba (1.2.63-0ubuntu5) precise; urgency=low

  * debian/control: add a dependency on python-glade2 (LP: #749748)

 -- Brian Murray <brian@ubuntu.com>  Thu, 02 Feb 2012 10:16:25 -0800

system-config-samba (1.2.63-0ubuntu4) intrepid; urgency=low

  * debian/patches/02_get_rid_of_rhpl (LP: #280872)
    - Ported old patch to quilt and new source tarball (thanks
      to Brian Murray).

 -- Chris Coulson <chrisccoulson@googlemail.com>  Thu, 16 Oct 2008 21:45:53 +0100

system-config-samba (1.2.63-0ubuntu3) intrepid; urgency=low

  * Missing build-dependencies:
    - rarian-compat
    - pkg-config
    - gnome-doc-utils
  * debian/patches/06_bashisms.patch:
    - Fix another bashism which caused a FTBFS.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Thu, 09 Oct 2008 00:39:54 +0200

system-config-samba (1.2.63-0ubuntu2) intrepid; urgency=low

  * Replace dpatch dependency with a quilt ditto.

 -- Soren Hansen <soren@ubuntu.com>  Wed, 28 May 2008 09:40:48 +0200

system-config-samba (1.2.63-0ubuntu1) intrepid; urgency=low

  * New upstream release.
  * Switch to quilt for patch management.

 -- Soren Hansen <soren@ubuntu.com>  Wed, 14 May 2008 10:23:51 +0200

system-config-samba (1.2.50-0ubuntu2) gutsy; urgency=low

  * Remove writeSmbPasswdFile from old patch.
  * Add descriptions for the included dpatches.
  * Don't use python-disutils cdbs class.

 -- Soren Hansen <soren@ubuntu.com>  Mon, 10 Sep 2007 10:11:52 +0200

system-config-samba (1.2.50-0ubuntu1) gutsy; urgency=low

  * Initial release

 -- Soren Hansen <soren@ubuntu.com>  Sat, 01 Sep 2007 13:47:34 +0200

=== debian/control ===
Source: system-config-samba
Section: admin
Priority: optional
Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
Bugs: mailto: maintainer@mepiscommunity.org
XSBC-Original-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
Build-Depends: cdbs (>= 0.4.43), debhelper (>= 10), intltool,
 dh-python, python-all-dev (>= 2.3.5-11),
 rarian-compat, pkg-config, gnome-doc-utils
Standards-Version: 3.7.2

Package: system-config-samba
Architecture: all
Depends: ${python:Depends}, samba, python-libuser, python-glade2, python-smbc
Description: GUI for managing samba shares and users
 system-config-samba is a graphical user interface for creating, 
 modifying, and deleting samba shares and users.

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON2_MODULE_PACKAGES=system-config-samba
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_MAKE_INSTALL_TARGET	:= install DESTDIR=$(CURDIR)/debian/tmp/
DEB_MAKE_CLEAN_TARGET	:= clean
clean::
	make -C po clean

binary-install/system-config-samba::
	dh_python2
	dh_icons

install/system-config-samba::
	rm debian/tmp/usr/bin/system-config-samba
	rmdir debian/tmp/usr/bin
	install -d debian/tmp/usr/sbin/
	ln -s /usr/share/system-config-samba/system-config-samba.py debian/tmp/usr/sbin/system-config-samba

# Temporary rule until the author starts being more "upstream"-ish and publishes the tarballs directly
get-orig-source::
	test -f system-config-samba.spec && mv system-config-samba.spec system-config-samba.spec.tmp

	wget http://koji.fedoraproject.org/packages/system-config-samba/1.2.63/1.fc9/src/system-config-samba-1.2.63-1.fc9.src.rpm
	rpm2cpio *.src.rpm | cpio -i
	bunzip2 -c system-config-samba-*.tar.bz2 | gzip -c > `basename system-config-samba*.bz2 .bz2`.gz
	rm system-config-samba-*.src.rpm system-config-samba-*.bz2 system-config-samba.spec

	test -f system-config-samba.spec.tmp && mv system-config-samba.spec.tmp system-config-samba.spec
